---

# Variables needed by both CX10K and PSM
network:
  del_vlan_id: '{{ lookup("env", "TEST_VLAN") }}'
  del_vrf_id: '{{ lookup("env", "TEST_VRF") }}'

# CX10K Specific Variables
# ansible_python_interpreter: /usr/bin/python3
ansible_user: admin
ansible_password: pen123!
# ansible_connection: aoscx
# ansible_network_os: aoscx

# PSM Specific Variables
psm:
  ip: '{{ lookup("env", "PSM_IP") }}'
  username: '{{ lookup("env", "PSM_USER") }}'
  passwd: '{{ lookup("env", "PSM_PASSWORD") }}'
  network_name: 'TBD-VLAN-{{ network.del_vlan_id }}'
  policy_name: '{{lookup("env", "PSM_SECURITY_POLICY") }}'
